[Pkg-xen-devel] xen reorganization

Bastian Blank waldi at debian.org
Fri Aug 18 21:13:14 UTC 2006

Hi folks

I tried to find a solution for the update problem. Currently I have 3
kernels, 2.6.16-16, 2.6.16-17 and 2.6.17-6 and each of them needs
another hypervisor. As it is the goal of Debian to not break on updates
completely, I propose the following change:

* Introduce xen-common source which provides xen-utils-common binary packages.
This package provides a dispatcher for the installed xen-utils
* xen-3.0 produces xen-hypervisor-$version-$abi-$flavour and
  xen-utils-$version-$abi. $version is the upstreamversion like 3.0.2 or
  3.0-unstable, $abi describes the dom0 interface.
* xen-hypervisor depends on the correct xen-utils.
* The linux package produces another binary
  xen-linux-system-$kernelversion which depends on the correct
  linux-image and xen-hypervisor packages. It also provides some
  information to update-grub, which xen image to use for the given

This way I can install a new kernel and have real chances that it will
not break unconditionaly.


Death, when unnecessary, is a tragic thing.
		-- Flint, "Requiem for Methuselah", stardate 5843.7
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 197 bytes
Desc: Digital signature
Url : http://lists.alioth.debian.org/pipermail/pkg-xen-devel/attachments/20060818/07b6474f/attachment.pgp

More information about the Pkg-xen-devel mailing list